%define oname   tmail

Name:       ruby-%{oname}
Version:    1.2.7
Release:    %mkrel 2
Summary:    Ruby Mail Handler
Group:      Development/Ruby
License:    MIT
URL:        http://tmail.rubyforge.org
Source0:    http://rubygems.org/downloads/%{oname}-%{version}.gem
Patch0:     tmail-1.2.7-fix-missing-require.patch
Patch1:     tmail-1.2.7-nuke-vendor-dir.patch
BuildRequires: rubygems
BuildRequires: ruby-devel
BuildRequires: rubygem(rake)
BuildRequires: rubygem(ruby-debug)
BuildRequires: rubygem(rchardet)
Requires:   ruby(abi) = 1.8
Requires:   rubygem(rchardet)

%description
TMail is a Ruby-based mail handler. It allows you to compose stadards
compliant emails in a very Ruby-way.

%files
%defattr(-, root, root, -)
%dir %{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec
%{ruby_vendorlibdir}/tmail*
%{ruby_vendorarchdir}/tmailscanner.so

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
%files          doc
%defattr(-,root,root,-)
%doc %{ruby_gemdir}/doc/%{oname}-%{version}
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/README
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/CHANGES
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/LICENSE
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/NOTES
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/Rakefile
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz
%patch0 -p0
%patch1 -p0

%build
%gem_build

%install
rm -rf %{buildroot}
%gem_install

# no need for vendor
rm -rf %{buildroot}%{ruby_gemdir}/gems/%{oname}-%{version}/lib/tmail/vendor
rm -rf lib/tmail/vendor

#FIXME: implement that in gem_helper
# Move lib files in vendor so that they can be loaded in actionmailer
mkdir -p %{buildroot}%{ruby_vendorlibdir} %{buildroot}%{ruby_vendorarchdir}
mv %{buildroot}%{ruby_gemdir}/gems/%{oname}-%{version}/lib/* %{buildroot}%{ruby_vendorlibdir}
mv %{buildroot}%{ruby_sitearchdir}/tmailscanner.so %{buildroot}%{ruby_vendorarchdir}

%check
rake test

%clean
rm -rf %{buildroot}



%changelog
* Sat Feb 26 2011 shikamaru <shikamaru> 1.2.7-2.mga1
+ Revision: 60175
- Move lib files in vendor so that actionmailer is able to find them
- move noarch files in vendorlibdir
- move arch files in vendorarchdir

* Thu Jan 27 2011 shikamaru <shikamaru> 1.2.7-1.mga1
+ Revision: 42450
- imported package ruby-tmail


* Thu Jan 27 2011 Rémy Clouard <shikamaru@mandriva.org> - 1.2.7-1
- Initial package
